ISTI Open Access - Feature #16659

Take advantage of ORCID information coming from OpenAIRE
May 10, 2019 11:04 AM - Leonardo Candela

Status: Rejected Start date: May 09, 2019
Priority: Normal Due date:

Assignee: Michele Artini % Done: 0%
Category:

Target version: ISTI Open Portal Tasks

Description

OpenAIRE graph contains ORCID IDs, we should collect this information too and make use of it.
One idea might be to have the ORCID ID banner or a link to it for every author we know.

For instance, in the per item page, i.e. pages like this

https://openportal.isti.cnr.it/doc?id=people ::ddf3668eaa98d05ddc9cd95ebf9347ab

we might have

e in the CNR Authors box something like <a href="">Author Name<\a> (<a href=
o where Author Name points to the paper authored in Open Portal
o ORCID ID points to the author profile in ORCID

>0rcid.org/xxxx-Xxxx-Xxxx-xxxx<\a)

To display the ORCID ID in our site we might also use this code snippet

<div itemscope itemtype="https://schema.org/Person"><a itemprop="sameAs" content="https://orcid.or
g/0000-0002-7279-2727" href="https://orcid.org/0000-0002-7279-2727" target="orcid.widget" rel="noo
pener noreferrer" style="vertical-align:top;"><img src="https://orcid.org/sites/default/files/imag
es/orcid_16x16.png" style="width:lem;margin-right:.5em;" alt="ORCID iD icon">https://orcid.org/000
0-0002-7279-2727</a></div>

History

#1 - May 13, 2019 12:16 PM - Paolo Manghi

Is there any chance we can collect ORCID IDs from Pimpa?

An alternative could be that of collecting ORCID IDs from OpenAIRE and then re-distribute those that we found by linking them to the CNR IDs.

#2 - Aug 29, 2023 05:15 PM - Leonardo Candela

- Status changed from New to Rejected

| would say that this activity is no longer needed, for CNR authors we do have ORCIDs
